<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Banners</title>
    <style>
      .image-to-show {
        width: 400px;
        height: 400px;
        /* display: none; */
        opacity: 0;
        transition: 0.5s;
        position: absolute;
      }

      .images-wrapper {
        /* display: flex;
        flex-wrap: wrap;
        justify-content: space-between; */
        position: relative;
        height: 400px;
      }
      .active{
        opacity: 1;
        /* display: block; */
      }
      .counter{
        font-size: 30px;
        font-weight: 700;
        color:blue;
      }
      .button{
        margin-right: 50px;
        margin-bottom: 30px;
        padding: 5px 7px;
        font-size: 15px;
        background-color: rgb(152, 241, 152);
        color: rgb(12, 1, 1);
        border-radius: 4px;
        border:none;
        cursor: pointer;
      }
    </style>
  </head>
  <body>
    <div>
      <button id="stop" class="button">Прекратить</button>
      <button id="play" class="button">Возобновить показ</button>
    </div>
    <div class="images-wrapper">
      <img src="./img/1.jpg" alt="image of game" class="image-to-show active" />
      <img src="./img/2.jpg" alt="image of game" class="image-to-show" />
      <img src="./img/3.JPG" alt="image of game" class="image-to-show" />
      <img src="./img/4.png" alt="image of game" class="image-to-show" />
    </div>
    <div class="counter">time left to next image:
      <span class="time"></span>
    </div>
    <script src="./index19.js"></script>
  </body>
</html>


<!-- setTimeout позволяет вызвать функцию один раз через определённый интервал времени, a setInterval позволяет вызывать функцию регулярно, повторяя вызов через определённый интервал времени.
если в функцию setTimeout() передать нулевую задержку то она не сработает, так как браузер ограничивает 4-мя мс минимальную задержку между пятью и более вложенными вызовами setTimeout, а также для setInterval, начиная с 5-го вызова.
Функция clearInterval() отменяет многократные повторения действий, установленные вызовом функции setInterval(). -->